Bug 1309597 - Rear backup does not create ISO on S390X architecture
Rear backup does not create ISO on S390X architecture
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rear (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Mazanek
Tereza Cerna
Maxim Svistunov
Depends On:
  Show dependency treegraph
Reported: 2016-02-18 04:03 EST by Tereza Cerna
Modified: 2017-04-11 06:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
ReaR fails to create an ISO on IBM System z ReaR is unable to create an ISO image on IBM System z systems. To work around this problem, use a different type of rescue system than ISO.
Story Points: ---
Clone Of:
Last Closed: 2017-04-11 06:52:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Rear log for verbose mode (file /var/log/rear/rear-ibm-z10-52.log) (80.70 KB, text/plain)
2016-02-18 04:15 EST, Tereza Cerna
no flags Details

  None (edit)
Description Tereza Cerna 2016-02-18 04:03:55 EST
Rear backup does not create ISO on s390x architecture. 

# rear -v mkbackup
Relax-and-Recover 1.17.2 / Git
Using log file: /var/log/rear/rear-ibm-z10-52.log
Creating disk layout
Creating root filesystem layout
Copying files and directories
Copying binaries and libraries
Copying kernel modules
Creating initramfs

# rpm -q rear
Comment 1 Tereza Cerna 2016-02-18 04:13:57 EST
# cat /var/log/rear/rear-ibm-z10-52.log

--> See in attachment rear.log. This is log for `rear -v mkbackup` from Description.

# cat  /var/lib/rear/layout/disklayout.conf
lvmdev /dev/vg_ibmz1052 /dev/dasdc1 pvg42n-e7oy-T2Lv-Pe1l-1d7i-osID-CTb42x 14424288
lvmdev /dev/vg_ibmz1052 /dev/dasdb1 1Bt8de-dbVE-NRNm-4QY3-YnF4-rsou-pscyH0 14424288
lvmdev /dev/vg_ibmz1052 /dev/dasda1 dCfZE3-ZziO-ce2o-KXVN-cF0F-EpWo-HMKWn6 14424288
lvmdev /dev/vg_ibmz1052 /dev/dasdd1 cgjOP9-0MC4-bnx3-6dyc-2NYG-deFd-pSfUyh 14424288
lvmgrp /dev/vg_ibmz1052 4096 7040 28835840
lvmvol /dev/vg_ibmz1052 lv_boot 125 1024000 
lvmvol /dev/vg_ibmz1052 lv_root 6411 52518912 
lvmvol /dev/vg_ibmz1052 lv_swap 504 4128768 
# Filesystems (only ext2,ext3,ext4,vfat,xfs,reiserfs,btrfs are supported).
# Format: fs <device> <mountpoint> <fstype> [uuid=<uuid>] [label=<label>] [<attributes>]
fs /dev/mapper/vg_ibmz1052-lv_boot /boot ext4 uuid=7ea2bbf6-9c3d-45a3-866c-9e9f54d9f2f4 label= blocksize=4096 reserved_blocks=5% max_mounts=-1 check_interval=0d bytes_per_inode=4096 default_mount_options=user_xattr,acl options=rw,relatime,barrier=1,data=ordered
fs /dev/mapper/vg_ibmz1052-lv_root / ext4 uuid=621fa5dd-6024-47c8-833b-07b13c67f7d8 label= blocksize=4096 reserved_blocks=4% max_mounts=-1 check_interval=0d bytes_per_inode=16362 default_mount_options=user_xattr,acl options=rw,relatime,barrier=1,data=ordered
swap /dev/mapper/vg_ibmz1052-lv_swap uuid=7b53b17b-3f3e-4dfc-b50b-297e0a179a78 label=
Comment 2 Tereza Cerna 2016-02-18 04:15 EST
Created attachment 1128167 [details]
Rear log for verbose mode (file /var/log/rear/rear-ibm-z10-52.log)
Comment 4 Tereza Cerna 2016-02-18 07:34:23 EST
This is the same bug as for RHEL-7.2:
Comment 6 Tereza Cerna 2016-05-19 05:56:03 EDT
Hi Maxim, I think it's good. Thanks.
Comment 9 Jakub Mazanek 2017-04-11 06:52:06 EDT
Upstream does not implement s390x support. Therefore we won't release rear for s390x architecture. 

See upstream issue : https://github.com/rear/rear/issues/1261

Note You need to log in before you can comment on or make changes to this bug.